
//INCLUDING LIBRARIES

#include <Servo.h>                                  //servo library
#include <HCSR04.h>                                 //proximity sensor library


//DECLARING VARIABLES

HCSR04 hc(7, 6);                                    //declaring the proximity sensor (trig, echo)
Servo motor;                                        //declaring the servo motor
bool open = false;                                  //declaring a boolean variable for the state of the box  


//SETUP FUNCTION

void setup() {
  motor.attach(3);                                  //putting the servo in pin 3
  pinMode(4, OUTPUT);                               //declaring LED 1
  pinMode(5, OUTPUT);                               //declaring LED 2
  Serial.begin(9600);           
}


//MAIN PROGRAM

void loop() {
    int sensorValue = analogRead(A0);

    Serial.print(hc.dist());                       //checking the ultrasonic sensor distance and the light sensor value
    Serial.print("             ");
    Serial.println(sensorValue);

    if(hc.dist() <= 20 && open==false){            //condition to open the box with the sensor
        open_book();
    }
    else if (open==true && hc.dist() <= 20){       //condition to close the box with the sensor
        close_book();
    }

    if(sensorValue >= 400 && open==true){          //condition to turn on the leds
        led_on();
    }
    else{                                          //condition to turn off the leds
        led_off();
      }
}


//FUNCTIONS

void open_book(){
    motor.write(95);              
    delay(2000);
    open = true;
}
void close_book(){
    motor.write(0);              
    delay(2000);
    open = false;
}

void led_on(){
    digitalWrite(4, HIGH);
    digitalWrite(5, HIGH);
    delay(60);
}
void led_off(){
    digitalWrite(4, LOW);
    digitalWrite(5, LOW);
    delay(60);
}